package com.example.catchTheLetters.service.impl;

import com.example.catchTheLetters.constant.CommonConstant;
import com.example.catchTheLetters.entity.Level;
import com.example.catchTheLetters.service.LevelService;
import com.example.catchTheLetters.utils.R;
import com.github.yulichang.method.mp.Delete;
import com.mongodb.client.result.DeleteResult;
import com.mongodb.client.result.UpdateResult;
import com.mongodb.internal.bulk.DeleteRequest;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.core.query.Update;
import org.springframework.stereotype.Service;

/**
 * @author 慕华
 * @date 2024/4/10
 * @Version 1.0
 * @description
 */
@Service
public class LevelServiceImpl implements LevelService {
    @Resource
    private MongoTemplate mongoTemplate;

    @Override
    public boolean delete(String id) {
        Level level = new Level();
        level.setId(id);
        DeleteResult deleteRequest = mongoTemplate.remove(level);
        return deleteRequest.getDeletedCount() > 0;
    }

    @Override
    public boolean update(Level level) {
        var save = mongoTemplate.save(level);
        return save.getId() != null;
    }
}
